/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.misc;

import woolpack.fn.Fn;

/**
 * {@link Runnable}に委譲する{@link Fn}です。
 * {@link #exec(Object)}は null を返します。
 * @author nakamura
 *
 * @param <R>
 */
public class RunnableFn<R> implements Fn<Object, R> {
	private Runnable runnable;
	
	public RunnableFn(final Runnable runnable) {
		this.runnable = runnable;
	}

	public R exec(final Object c) {
		runnable.run();
		return null;
	}

	public Runnable getRunnable() {
		return runnable;
	}
	public void setRunnable(final Runnable runnable) {
		this.runnable = runnable;
	}
}
